package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.PartDTO;
import com.diagbot.dto.PartSymptomDTO;
import com.diagbot.entity.Part;
import com.diagbot.mapper.PartMapper;
import com.diagbot.service.PartService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 服务实现类
 * @Author: ztg
 * @Date: 2018/10/24 16:02
 */
@Service
public class PartServiceImpl extends ServiceImpl<PartMapper, Part> implements PartService {

    @Override
    public List<PartSymptomDTO> getByPartId(Map map) {
        return baseMapper.getByPartId(map);
    }

    @Override
    public List<PartDTO> getByParentId(Map map) {
        return baseMapper.getByParentId(map);
    }
}
